<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LibGE: Genotype Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="cropped-BDS-Logo-1.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibGE
   &#160;<span id="projectnumber">0.31.0</span>
   </div>
   <div id="projectbrief">A c++ GE implementation</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="class_genotype-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Genotype Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_genotype_8h_source.html">Genotype.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Genotype:</div>
<div class="dyncontent">
<div class="center"><img src="class_genotype__inherit__graph.png" border="0" usemap="#_genotype_inherit__map" alt="Inheritance graph"/></div>
<!-- MAP 0 -->
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Genotype:</div>
<div class="dyncontent">
<div class="center"><img src="class_genotype__coll__graph.png" border="0" usemap="#_genotype_coll__map" alt="Collaboration graph"/></div>
<!-- MAP 1 -->
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a974e58866f2e412a55242a1c18aae333"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_genotype.html#a974e58866f2e412a55242a1c18aae333">Genotype</a> (const int *=0, const unsigned int=0, const bool=true, const <a class="el" href="_genotype_8h.html#ae09c2f0f089f257b93744150b5a503e4">FitnessType</a>=<a class="el" href="_genotype_8h.html#ad2ecc6c414b745289a2dd175543d6ccd">MIN_GENOTYPE_FITNESS</a>)</td></tr>
<tr class="separator:a974e58866f2e412a55242a1c18aae333"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3599121bb21c4c45158a751336bc9731"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_genotype.html#a3599121bb21c4c45158a751336bc9731">Genotype</a> (const vector&lt; <a class="el" href="_genotype_8h.html#a9950f670ceea0545d1d0a5cf8858ac71">CodonType</a> &gt; &amp;, const bool=true, const <a class="el" href="_genotype_8h.html#ae09c2f0f089f257b93744150b5a503e4">FitnessType</a>=<a class="el" href="_genotype_8h.html#ad2ecc6c414b745289a2dd175543d6ccd">MIN_GENOTYPE_FITNESS</a>)</td></tr>
<tr class="separator:a3599121bb21c4c45158a751336bc9731"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb945a70caf7f355492b9f8260107db0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_genotype.html#afb945a70caf7f355492b9f8260107db0">Genotype</a> (const <a class="el" href="_genotype_8h.html#a9950f670ceea0545d1d0a5cf8858ac71">CodonType</a>)</td></tr>
<tr class="separator:afb945a70caf7f355492b9f8260107db0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8dbacda53def16d4c139da36c942341"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_genotype.html#aa8dbacda53def16d4c139da36c942341">Genotype</a> (const <a class="el" href="class_genotype.html">Genotype</a> &amp;)</td></tr>
<tr class="separator:aa8dbacda53def16d4c139da36c942341"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada6d57aa71cebe91f8a848b00dcfd3c5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_genotype.html#ada6d57aa71cebe91f8a848b00dcfd3c5">~Genotype</a> ()</td></tr>
<tr class="separator:ada6d57aa71cebe91f8a848b00dcfd3c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1e330a8aea8cf0b8afb25868c56bd92"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_genotype.html#ab1e330a8aea8cf0b8afb25868c56bd92">getValid</a> () const</td></tr>
<tr class="separator:ab1e330a8aea8cf0b8afb25868c56bd92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48c777eabac7de1ecf3d03b0dc92c7f0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_genotype.html#a48c777eabac7de1ecf3d03b0dc92c7f0">setValid</a> (const bool)</td></tr>
<tr class="separator:a48c777eabac7de1ecf3d03b0dc92c7f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae379171c81229356c957b68684c6bbfc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_genotype_8h.html#ae09c2f0f089f257b93744150b5a503e4">FitnessType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_genotype.html#ae379171c81229356c957b68684c6bbfc">getFitness</a> () const</td></tr>
<tr class="separator:ae379171c81229356c957b68684c6bbfc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c7cc94674db119284c44bb733acbd0e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_genotype.html#a8c7cc94674db119284c44bb733acbd0e">setFitness</a> (const <a class="el" href="_genotype_8h.html#ae09c2f0f089f257b93744150b5a503e4">FitnessType</a>)</td></tr>
<tr class="separator:a8c7cc94674db119284c44bb733acbd0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee063130a12267e56d79412df8c62440"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_genotype_8h.html#a9950f670ceea0545d1d0a5cf8858ac71">CodonType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_genotype.html#aee063130a12267e56d79412df8c62440">getMaxCodonValue</a> () const</td></tr>
<tr class="separator:aee063130a12267e56d79412df8c62440"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3fa471785e655f427acebbe5d91180b9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_genotype.html#a3fa471785e655f427acebbe5d91180b9">setMaxCodonValue</a> (const <a class="el" href="_genotype_8h.html#a9950f670ceea0545d1d0a5cf8858ac71">CodonType</a>)</td></tr>
<tr class="separator:a3fa471785e655f427acebbe5d91180b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aadf41535b608d6f267f9806e761af618"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_genotype.html#aadf41535b608d6f267f9806e761af618">getEffectiveSize</a> () const</td></tr>
<tr class="separator:aadf41535b608d6f267f9806e761af618"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3287021beed9c887f2e323cdb20e1bf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_genotype.html#ab3287021beed9c887f2e323cdb20e1bf">setEffectiveSize</a> (const unsigned int)</td></tr>
<tr class="separator:ab3287021beed9c887f2e323cdb20e1bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbc7388b6da34dc2d80174db07c2ecde"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_genotype.html#afbc7388b6da34dc2d80174db07c2ecde">getWraps</a> () const</td></tr>
<tr class="separator:afbc7388b6da34dc2d80174db07c2ecde"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a539d555556efeb4f1e179ff8b22fa4f2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_genotype.html#a539d555556efeb4f1e179ff8b22fa4f2">setWraps</a> (const unsigned int)</td></tr>
<tr class="separator:a539d555556efeb4f1e179ff8b22fa4f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:a5df64f772fe91381d56cfad29cfaf6b1"><td class="memItemLeft" align="right" valign="top">ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_genotype.html#a5df64f772fe91381d56cfad29cfaf6b1">operator&lt;&lt;</a> (ostream &amp;, const <a class="el" href="class_genotype.html">Genotype</a> &amp;)</td></tr>
<tr class="separator:a5df64f772fe91381d56cfad29cfaf6b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a974e58866f2e412a55242a1c18aae333"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a974e58866f2e412a55242a1c18aae333">&#9670;&nbsp;</a></span>Genotype() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Genotype::Genotype </td>
          <td>(</td>
          <td class="paramtype">const int *&#160;</td>
          <td class="paramname"><em>newArray</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const unsigned int&#160;</td>
          <td class="paramname"><em>newLength</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const bool&#160;</td>
          <td class="paramname"><em>newValid</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="_genotype_8h.html#ae09c2f0f089f257b93744150b5a503e4">FitnessType</a>&#160;</td>
          <td class="paramname"><em>newFitness</em> = <code><a class="el" href="_genotype_8h.html#ad2ecc6c414b745289a2dd175543d6ccd">MIN_GENOTYPE_FITNESS</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3599121bb21c4c45158a751336bc9731"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3599121bb21c4c45158a751336bc9731">&#9670;&nbsp;</a></span>Genotype() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Genotype::Genotype </td>
          <td>(</td>
          <td class="paramtype">const vector&lt; <a class="el" href="_genotype_8h.html#a9950f670ceea0545d1d0a5cf8858ac71">CodonType</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>newVector</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const bool&#160;</td>
          <td class="paramname"><em>newValid</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="_genotype_8h.html#ae09c2f0f089f257b93744150b5a503e4">FitnessType</a>&#160;</td>
          <td class="paramname"><em>newFitness</em> = <code><a class="el" href="_genotype_8h.html#ad2ecc6c414b745289a2dd175543d6ccd">MIN_GENOTYPE_FITNESS</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afb945a70caf7f355492b9f8260107db0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb945a70caf7f355492b9f8260107db0">&#9670;&nbsp;</a></span>Genotype() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Genotype::Genotype </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="_genotype_8h.html#a9950f670ceea0545d1d0a5cf8858ac71">CodonType</a>&#160;</td>
          <td class="paramname"><em>maxCodonValue</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa8dbacda53def16d4c139da36c942341"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa8dbacda53def16d4c139da36c942341">&#9670;&nbsp;</a></span>Genotype() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Genotype::Genotype </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_genotype.html">Genotype</a> &amp;&#160;</td>
          <td class="paramname"><em>copy</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ada6d57aa71cebe91f8a848b00dcfd3c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada6d57aa71cebe91f8a848b00dcfd3c5">&#9670;&nbsp;</a></span>~Genotype()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Genotype::~Genotype </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aadf41535b608d6f267f9806e761af618"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aadf41535b608d6f267f9806e761af618">&#9670;&nbsp;</a></span>getEffectiveSize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int Genotype::getEffectiveSize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae379171c81229356c957b68684c6bbfc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae379171c81229356c957b68684c6bbfc">&#9670;&nbsp;</a></span>getFitness()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_genotype_8h.html#ae09c2f0f089f257b93744150b5a503e4">FitnessType</a> Genotype::getFitness </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aee063130a12267e56d79412df8c62440"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee063130a12267e56d79412df8c62440">&#9670;&nbsp;</a></span>getMaxCodonValue()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_genotype_8h.html#a9950f670ceea0545d1d0a5cf8858ac71">CodonType</a> Genotype::getMaxCodonValue </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab1e330a8aea8cf0b8afb25868c56bd92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1e330a8aea8cf0b8afb25868c56bd92">&#9670;&nbsp;</a></span>getValid()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Genotype::getValid </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afbc7388b6da34dc2d80174db07c2ecde"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afbc7388b6da34dc2d80174db07c2ecde">&#9670;&nbsp;</a></span>getWraps()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int Genotype::getWraps </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab3287021beed9c887f2e323cdb20e1bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3287021beed9c887f2e323cdb20e1bf">&#9670;&nbsp;</a></span>setEffectiveSize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Genotype::setEffectiveSize </td>
          <td>(</td>
          <td class="paramtype">const unsigned int&#160;</td>
          <td class="paramname"><em>newEffectiveSize</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8c7cc94674db119284c44bb733acbd0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c7cc94674db119284c44bb733acbd0e">&#9670;&nbsp;</a></span>setFitness()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Genotype::setFitness </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="_genotype_8h.html#ae09c2f0f089f257b93744150b5a503e4">FitnessType</a>&#160;</td>
          <td class="paramname"><em>newFitness</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3fa471785e655f427acebbe5d91180b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3fa471785e655f427acebbe5d91180b9">&#9670;&nbsp;</a></span>setMaxCodonValue()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Genotype::setMaxCodonValue </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="_genotype_8h.html#a9950f670ceea0545d1d0a5cf8858ac71">CodonType</a>&#160;</td>
          <td class="paramname"><em>newMaxCodonValue</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a48c777eabac7de1ecf3d03b0dc92c7f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48c777eabac7de1ecf3d03b0dc92c7f0">&#9670;&nbsp;</a></span>setValid()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Genotype::setValid </td>
          <td>(</td>
          <td class="paramtype">const bool&#160;</td>
          <td class="paramname"><em>newValid</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a539d555556efeb4f1e179ff8b22fa4f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a539d555556efeb4f1e179ff8b22fa4f2">&#9670;&nbsp;</a></span>setWraps()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Genotype::setWraps </td>
          <td>(</td>
          <td class="paramtype">const unsigned int&#160;</td>
          <td class="paramname"><em>newWraps</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Friends And Related Function Documentation</h2>
<a id="a5df64f772fe91381d56cfad29cfaf6b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5df64f772fe91381d56cfad29cfaf6b1">&#9670;&nbsp;</a></span>operator&lt;&lt;</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ostream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">ostream &amp;&#160;</td>
          <td class="paramname"><em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="class_genotype.html">Genotype</a> &amp;&#160;</td>
          <td class="paramname"><em>g</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/<a class="el" href="_genotype_8h_source.html">Genotype.h</a></li>
<li>src/<a class="el" href="_genotype_8cpp.html">Genotype.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
